pages:
    image: continuumio/miniconda3:4.5.12
    script:
      - apt-get update
      - apt-get install -y apt-utils
      - apt-get install -y build-essential
      - apt-get install -y gfortran
      - apt-get install -y libeigen3-dev
      - apt-get install -y gsl-bin
      - apt-get install -y default-libmysqlclient-dev
      - apt-get install -y libgsl0-dev
      - pip install numpy scipy
      - conda install tensorflow
      - pip install cassandra_driver==3.20.2
      - git clone --branch staging https://$GITLAB_USER:$GITLAB_PASS@gitlab.com/noao/antares/antares.git
      - cd antares
      - pip install --upgrade pip
      - pip install -r requirements.txt
      - python setup.py install
      - pip install sphinx
      - make --directory ./docs html
      - mv docs/build/html ../public/
    artifacts:
      paths:
        - public
    only:
      - master
